<script setup lang="ts">
const fixBtn = {
  add: false,
  edit: true,
  delete: true
}

const tableHeaders = ref([{ title: '客戶類別代號' }, { title: '客戶類別名稱' }])

const tableData = ref([
  {
    customerCategoryCode: 'MC1',
    customerCategoryName: '第一類學中心'
  },
  {
    customerCategoryCode: 'MC2',
    customerCategoryName: '第二類學中心'
  },
  {
    customerCategoryCode: 'PB',
    customerCategoryName: '公立醫院'
  },
  {
    customerCategoryCode: 'MD',
    customerCategoryName: '中小型醫院'
  }
])

const showData = tableData

const onEdit = (val: any) => {
  console.log('parent edit', val)
}

const onDelete = (val: any) => {
  console.log('parent delete', val)
}
</script>

<template>
  <main class="container-fluid">
    <header>
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="font-zh-small-regular breadcrumb-item">
            <a href="#">基本資料</a>
          </li>
          <li
            aria-current="page"
            class="font-zh-small-regular breadcrumb-item active"
          >
            客戶類別
          </li>
        </ol>
      </nav>
      <div class="d-flex justify-content-end w-100">
        <img
          alt="header-illustration"
          class="header-illustration"
          src="@/assets/images/header-illustration.svg"
        />
      </div>
      <div class="function-group">
        <div class="display-info">
          <h3 class="font-zh-h3">客戶類別列表</h3>
          <div class="interact-button-list d-flex">
            <button
              class="btn btn-middle-gray-200 font-zh-button d-flex justify-content-center align-items-center"
              type="button"
            >
              <p>新增</p>
              <div class="icon-create"></div>
            </button>
          </div>
        </div>
      </div>
    </header>
    <div>
      <basic-table
        :fix-btn="fixBtn"
        :table-data="showData"
        :table-headers="tableHeaders"
        @delete="onDelete"
        @edit="onEdit"
      />
    </div>
  </main>
</template>

<style lang="scss" scoped>
/** style */
</style>
